oracle.xml.async

## Class DOMBuilderEvent

- java.lang.Object
- - java.util.EventObject
  - - oracle.xml.async.DOMBuilderEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DOMBuilderEvent
    extends java.util.EventObject

The event object that DOMBuilder uses to notify all registered listeners about parse events.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DOMBuilderEvent(java.lang.Object p0, int p1)` Creates a new DOMBuilderEvent

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getID()` Returns unique id of the DOMBuilder object which can be used to identify which instance of the DOMBuilder generated this event in cases where multiple instances of DOMBuilder may be working in background.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOMBuilderEvent

    public DOMBuilderEvent(java.lang.Object p0,
                           int p1)

Creates a new DOMBuilderEvent

Parameters:
  `p0` - The `Object` creating this event.
  `p1` - Id of the `DOMBuilder` creating this event.

### Method Detail

#### getID

    public int getID()

Returns unique id of the DOMBuilder object which can be used to identify which instance of the DOMBuilder generated this event in cases where multiple instances of DOMBuilder may be working in background.

Returns:
  The unique `id` of the source DOMBuilder for this event.

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.